Index: protocol/src/test/java/geniusweb/protocol/session/ConnectionWithPartiesTest.java
===================================================================
--- protocol/src/test/java/geniusweb/protocol/session/ConnectionWithPartiesTest.java	(revision 8)
+++ protocol/src/test/java/geniusweb/protocol/session/ConnectionWithPartiesTest.java	(revision 9)
@@ -14,29 +14,29 @@
 
 import geniusweb.actions.PartyId;
-import geniusweb.protocol.partyconnection.ConnectionWithParties;
-import geniusweb.protocol.partyconnection.ConnectionWithParty;
+import geniusweb.protocol.partyconnection.ProtocolToPartyConnections;
+import geniusweb.protocol.partyconnection.ProtocolToPartyConn;
 import tudelft.utilities.junit.GeneralTests;
 
 public class ConnectionWithPartiesTest
-		extends GeneralTests<ConnectionWithParties> {
+		extends GeneralTests<ProtocolToPartyConnections> {
 	PartyId party1 = new PartyId("party1");
 	PartyId party2 = new PartyId("party2");
 	PartyId party3 = new PartyId("party3");
 
-	private ConnectionWithParty con1 = mock(ConnectionWithParty.class);
-	private ConnectionWithParty con2 = mock(ConnectionWithParty.class);
-	private ConnectionWithParty con3 = mock(ConnectionWithParty.class);
+	private ProtocolToPartyConn con1 = mock(ProtocolToPartyConn.class);
+	private ProtocolToPartyConn con2 = mock(ProtocolToPartyConn.class);
+	private ProtocolToPartyConn con3 = mock(ProtocolToPartyConn.class);
 
-	private ConnectionWithParties conns1 = new ConnectionWithParties(
+	private ProtocolToPartyConnections conns1 = new ProtocolToPartyConnections(
 			Arrays.asList(con1, con2));
-	private ConnectionWithParties conns1a = new ConnectionWithParties(
+	private ProtocolToPartyConnections conns1a = new ProtocolToPartyConnections(
 			Arrays.asList(con1, con2));
-	private ConnectionWithParties conns2 = new ConnectionWithParties(
+	private ProtocolToPartyConnections conns2 = new ProtocolToPartyConnections(
 			Arrays.asList(con1, con3));
-	private ConnectionWithParties conns3 = new ConnectionWithParties(
+	private ProtocolToPartyConnections conns3 = new ProtocolToPartyConnections(
 			Arrays.asList(con2, con1));
-	private ConnectionWithParties conns4 = new ConnectionWithParties(
+	private ProtocolToPartyConnections conns4 = new ProtocolToPartyConnections(
 			Arrays.asList(con2, con1, con3));
-	private ConnectionWithParties conns5 = new ConnectionWithParties(
+	private ProtocolToPartyConnections conns5 = new ProtocolToPartyConnections(
 			Arrays.asList(con2, con1, con3, con1));
 
@@ -54,5 +54,5 @@
 
 	@Override
-	public List<List<ConnectionWithParties>> getGeneralTestData() {
+	public List<List<ProtocolToPartyConnections>> getGeneralTestData() {
 		return Arrays.asList(Arrays.asList(conns1, conns1a),
 				Arrays.asList(conns2), Arrays.asList(conns3),
@@ -98,5 +98,5 @@
 	@Test
 	public void withPartyTest() {
-		ConnectionWithParties conns = conns3.with(con3);
+		ProtocolToPartyConnections conns = conns3.with(con3);
 		assertEquals(2, conns3.size());
 		assertEquals(3, conns.size());
Index: protocol/src/test/java/geniusweb/protocol/session/DefaultSessionStateTest.java
===================================================================
--- protocol/src/test/java/geniusweb/protocol/session/DefaultSessionStateTest.java	(revision 8)
+++ protocol/src/test/java/geniusweb/protocol/session/DefaultSessionStateTest.java	(revision 9)
@@ -27,5 +27,5 @@
 import geniusweb.progress.ProgressTime;
 import geniusweb.protocol.ProtocolException;
-import geniusweb.protocol.partyconnection.ConnectionWithParties;
+import geniusweb.protocol.partyconnection.ProtocolToPartyConnections;
 import geniusweb.protocol.session.saop.SAOPSettings;
 import geniusweb.references.Parameters;
@@ -48,5 +48,5 @@
 		PartyId party1 = new PartyId("party1");
 		actions.add(new EndNegotiation(party1));
-		ConnectionWithParties conns = new ConnectionWithParties(
+		ProtocolToPartyConnections conns = new ProtocolToPartyConnections(
 				Collections.EMPTY_LIST);
 		DeadlineTime deadline = new DeadlineTime(1000);
@@ -126,5 +126,5 @@
 
 	public DefaultSessionState1(List<Action> actions,
-			ConnectionWithParties conns, Progress progr,
+			ProtocolToPartyConnections conns, Progress progr,
 			SessionSettings settings,
 			Map<PartyId, PartyWithProfile> partyprofiles, ProtocolException e) {
Index: protocol/src/test/java/geniusweb/protocol/session/saop/SAOPStateTest.java
===================================================================
--- protocol/src/test/java/geniusweb/protocol/session/saop/SAOPStateTest.java	(revision 8)
+++ protocol/src/test/java/geniusweb/protocol/session/saop/SAOPStateTest.java	(revision 9)
@@ -27,6 +27,6 @@
 import geniusweb.progress.ProgressTime;
 import geniusweb.protocol.ProtocolException;
-import geniusweb.protocol.partyconnection.ConnectionWithParties;
-import geniusweb.protocol.partyconnection.ConnectionWithParty;
+import geniusweb.protocol.partyconnection.ProtocolToPartyConnections;
+import geniusweb.protocol.partyconnection.ProtocolToPartyConn;
 import geniusweb.protocol.session.SessionSettings;
 import tudelft.utilities.junit.GeneralTests;
@@ -42,13 +42,13 @@
 	private List<Action> actions2 = Arrays.asList(action);
 
-	private ConnectionWithParty party1conn = mock(ConnectionWithParty.class);
-	private ConnectionWithParty party2conn = mock(ConnectionWithParty.class);
-	private ConnectionWithParty party3conn = mock(ConnectionWithParty.class);
-
-	private ConnectionWithParties connections = new ConnectionWithParties(
+	private ProtocolToPartyConn party1conn = mock(ProtocolToPartyConn.class);
+	private ProtocolToPartyConn party2conn = mock(ProtocolToPartyConn.class);
+	private ProtocolToPartyConn party3conn = mock(ProtocolToPartyConn.class);
+
+	private ProtocolToPartyConnections connections = new ProtocolToPartyConnections(
 			Arrays.asList(party1conn, party2conn));
-	private ConnectionWithParties connections2 = new ConnectionWithParties(
+	private ProtocolToPartyConnections connections2 = new ProtocolToPartyConnections(
 			Arrays.asList(party1conn, party3conn));
-	private ConnectionWithParties connections3 = new ConnectionWithParties(
+	private ProtocolToPartyConnections connections3 = new ProtocolToPartyConnections(
 			Arrays.asList(party1conn, party2conn, party3conn));
 
@@ -114,5 +114,5 @@
 	@Test
 	public void constructWith0Connection() {
-		new SAOPState(actions, new ConnectionWithParties(Arrays.asList()),
+		new SAOPState(actions, new ProtocolToPartyConnections(Arrays.asList()),
 				progresstime, settings, null, null);
 	}
@@ -132,5 +132,5 @@
 	@Test
 	public void testNextActor2() {
-		ConnectionWithParties conns = new ConnectionWithParties(
+		ProtocolToPartyConnections conns = new ProtocolToPartyConnections(
 				Arrays.asList(party2conn, party3conn));
 		SAOPState state = new SAOPState(actions, conns, progresstime, settings,
Index: protocol/src/test/java/geniusweb/protocol/session/saop/SAOPTest.java
===================================================================
--- protocol/src/test/java/geniusweb/protocol/session/saop/SAOPTest.java	(revision 8)
+++ protocol/src/test/java/geniusweb/protocol/session/saop/SAOPTest.java	(revision 9)
@@ -39,7 +39,7 @@
 import geniusweb.progress.Progress;
 import geniusweb.protocol.ProtocolException;
-import geniusweb.protocol.partyconnection.ConnectionWithParties;
-import geniusweb.protocol.partyconnection.ConnectionWithParty;
-import geniusweb.protocol.partyconnection.ConnectionWithPartyFactory;
+import geniusweb.protocol.partyconnection.ProtocolToPartyConnections;
+import geniusweb.protocol.partyconnection.ProtocolToPartyConn;
+import geniusweb.protocol.partyconnection.ProtocolToPartyConnFactory;
 import geniusweb.references.Parameters;
 import geniusweb.references.PartyRef;
@@ -76,14 +76,14 @@
 	private final PartyWithProfile party2 = mock(PartyWithProfile.class);
 	private SAOP saop;
-	private ConnectionWithPartyFactory factory;
+	private ProtocolToPartyConnFactory factory;
 	private List connections;
-	private ConnectionWithParty conn1 = mock(ConnectionWithParty.class),
-			conn2 = mock(ConnectionWithParty.class);
+	private ProtocolToPartyConn conn1 = mock(ProtocolToPartyConn.class),
+			conn2 = mock(ProtocolToPartyConn.class);
 	private Map<PartyId, PartyWithProfile> partyprofiles;
 	private Progress progress = mock(Progress.class);
 	private ProfileRef profile1;
 	private ProfileRef profile2;
-	private ConnectionWithParties connectionswithparties = mock(
-			ConnectionWithParties.class);;
+	private ProtocolToPartyConnections connectionswithparties = mock(
+			ProtocolToPartyConnections.class);;
 	@SuppressWarnings("unchecked")
 	private final Listener<ProtocolEvent> testlistener = mock(Listener.class);
@@ -116,5 +116,5 @@
 		when(settings.getDeadline()).thenReturn(deadlinetime);
 
-		factory = mock(ConnectionWithPartyFactory.class);
+		factory = mock(ProtocolToPartyConnFactory.class);
 		connections = mock(List.class);
 		when(factory.connect(any(List.class))).thenReturn(connections);
@@ -159,5 +159,5 @@
 		when(state.getPartyProfiles()).thenReturn(partyprofiles);
 		when(state.getProgress()).thenReturn(progress);
-		when(state.with(any(ConnectionWithParty.class),
+		when(state.with(any(ProtocolToPartyConn.class),
 				any(PartyWithProfile.class))).thenReturn(connectedstate);
 		when(state.getNextActor()).thenReturn(PARTY1ID);
Index: protocol/src/test/java/geniusweb/protocol/tournament/AllPermutationsProtocolTest.java
===================================================================
--- protocol/src/test/java/geniusweb/protocol/tournament/AllPermutationsProtocolTest.java	(revision 8)
+++ protocol/src/test/java/geniusweb/protocol/tournament/AllPermutationsProtocolTest.java	(revision 9)
@@ -24,5 +24,5 @@
 import geniusweb.protocol.NegoState;
 import geniusweb.protocol.SessionResult;
-import geniusweb.protocol.partyconnection.ConnectionWithPartyFactory;
+import geniusweb.protocol.partyconnection.ProtocolToPartyConnFactory;
 import geniusweb.protocol.session.SessionProtocol;
 import geniusweb.protocol.session.SessionSettings;
@@ -42,6 +42,6 @@
 	private final AllPermutationsProtocol app = new AllPermutationsProtocol(
 			state, log);
-	private final ConnectionWithPartyFactory factory = mock(
-			ConnectionWithPartyFactory.class);
+	private final ProtocolToPartyConnFactory factory = mock(
+			ProtocolToPartyConnFactory.class);
 	private final SessionSettings settings = mock(SessionSettings.class);
 	private final SessionState finalsessionstate = mock(SessionState.class);
@@ -140,5 +140,5 @@
 
 	@Override
-	public void start(ConnectionWithPartyFactory connectionfactory) {
+	public void start(ProtocolToPartyConnFactory connectionfactory) {
 
 	}
